# ReplicaEnums.h File Reference

Contains enumerations used by the ReplicaManager system. This file is a lightweight header, so you can include it without worrying about linking in lots of other crap. More...

## Enumerations
enum |
enum | ReplicaReturnResult { REPLICA_PROCESS_LATER, REPLICA_PROCESSING_DONE, REPLICA_CANCEL_PROCESS, REPLICA_PROCESS_AGAIN, REPLICA_PROCESS_IMPLICIT }

## Detailed Description

Contains enumerations used by the ReplicaManager system. This file is a lightweight header, so you can include it without worrying about linking in lots of other crap.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.

## Enumeration Type Documentation

anonymous enum

Replica interface flags, used to enable and disable function calls on the Replica object Passed to ReplicaManager::EnableReplicaInterfaces and ReplicaManager::DisableReplicaInterfaces

enum ReplicaReturnResult

Enumerator:

  REPLICA_PROCESS_LATER | This means call the function again later, with the same parameters.
  REPLICA_PROCESSING_DONE | This means we are done processing (the normal result to return).
  REPLICA_CANCEL_PROCESS | This means cancel the processing - don't send any network messages and don't change the current state.
  REPLICA_PROCESS_AGAIN | Same as REPLICA_PROCESSING_DONE, where a message is sent, but does not clear the send bit. Useful for multi-part sends with different reliability levels. Only currently used by Replica::Serialize
  REPLICA_PROCESS_IMPLICIT | Only returned from the Replica::SendConstruction interface, means act as if the other system had this object but don't actually Send a construction packet. This way you will still send scope and serialize packets to that system